ProcessorConfiguration (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.compiler.ProcessorConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.compiler
Interface ProcessorConfiguration

All Known Subinterfaces:
  CompilerConfiguration, LinkerConfiguration

All Known Implementing Classes:
  CommandLineCompilerConfiguration, CommandLineLinkerConfiguration

    public interface ProcessorConfiguration

A configuration for a C++ compiler, linker or other processor

Author:
  Curt Arnold

Method Summary
`int` | `bid(java.lang.String filename)` An indication of how much this compiler would like to process this file
`java.lang.String` | `getIdentifier()` Returns a string representation of this configuration.
`java.lang.String[]` | `getOutputFileNames(java.lang.String inputFile, VersionInfo versionInfo)` Output file name (no path components) corresponding to source file
`ProcessorParam[]` | `getParams()`
`boolean` | `getRebuild()` If true, all files using this configuration should be rebuilt and any existing output files should be ignored

Method Detail

### bid

    int bid(java.lang.String filename)

  An indication of how much this compiler would like to process this file

  Returns:
    0 is no interest to process, 100 is strong interest to process

### getIdentifier

    java.lang.String getIdentifier()

  Returns a string representation of this configuration. Should be canonical so that equivalent configurations will have equivalent string representations

### getOutputFileNames

    java.lang.String[] getOutputFileNames(java.lang.String inputFile,
                                          VersionInfo versionInfo)

  Output file name (no path components) corresponding to source file

  Parameters:
    `inputFile` - input file
  Returns:
    output file names or zero-length array if no output file or name not determined by input file

### getParams

    ProcessorParam[] getParams()

### getRebuild

    boolean getRebuild()

  If true, all files using this configuration should be rebuilt and any existing output files should be ignored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.